<h1>{{ (ruleset.id ? 'EDIT_RULES' : 'CREATE_RULES') | translate }}</h1>
<form [formGroup]="rulesetForm" ngxsForm="rules.rulesetForm">
  <mat-form-field appearance="fill">
    <mat-label translate>NAME</mat-label>
    <input matInput [formControl]="rulesetForm.controls[0]" />
  </mat-form-field>
  <mat-accordion>
    <ng-container *ngFor="let formGroup of rulesetForm.controls; let index = index">
      <app-rule-detail *ngIf="index !== 0" [formGroup]="formGroup"></app-rule-detail>
    </ng-container>
  </mat-accordion>
  <div class="mt-25" fxLayout="row" fxLayoutAlign="center center">
    <button color="primary" mat-raised-button (click)="saveRuleset()">
      <span translate>SAVE</span>
    </button>
  </div>
</form>
